/* mtnroot.pov - "roots of a mountain" for mythology class
Created:     2002.06.06.21.10
Last edited: 2002.06.06.21.10
By:          William de Beaumont
*/

#include "colors.inc"

camera
{
 location <0,-.1,3>
 look_at <0,0,0>
}
light_source {<-10,5,10> color White}

plane //water
{ y,-10
  texture
  {
   normal {bumps .3 scale 5}
   finish {ambient .2 specular .1}
   pigment {color Blue}
  }
}
plane //sky
{ -y,-10
  texture
  {
   finish {ambient .5}
   pigment
   { bozo
     color_map
     {
      [0 SkyBlue]
      [1 White]
     }
     scale <10,10,50>
     rotate y*30
   }
  }
}

intersection
{
 height_field //island top
 { tga "mtn-hf.tga"
 }
 box {<0,.3,0>,<1,5,1>}
 translate <-.5,-.3,-.5>
 scale <1,2,1>
 pigment
 { gradient y
   turbulence .3
   color_map
   {
    [0 rgb <0,.7,0>]
    [.5 Gray50]
    [1 White]
   }
  scale <.1,.55,.1>
 }
}
intersection
{
 height_field //island bottom
 { tga "mtn-hf.tga"
 }
 box {<0,.3,0>,<1,5,1>}
 translate <-.5,-.3,-.5>
 scale <1,-5,1>
 pigment
 { gradient y
   color_map
   {
    [0 rgb <.7,.7,.3>]
    [.5 rgb <.7,.7,.3>]
    [1 Orange]
   }
   scale -1.3
 }
}

fog
{
 distance 100
 color Gray70
}
